| Flutter iOS Embedder |

Instance Methods | Properties | List of all members
FlutterEnginePartialMock Class Reference
Inheritance diagram for FlutterEnginePartialMock:

## Instance Methods
(FlutterTextInputPlugin *) | - textInputPlugin
(void) | - sendKeyEvent:callback:userData:
Instance Methods inherited from FlutterEngine
(instancetype) | - init
(instancetype) | - initWithName:
(instancetype) | - initWithName:project:
(instancetype) | - initWithName:project:allowHeadlessExecution:
(instancetype) | - initWithName:project:allowHeadlessExecution:restorationEnabled:
(BOOL) | - run
(BOOL) | - runWithEntrypoint:
(BOOL) | - runWithEntrypoint:initialRoute:
(BOOL) | - runWithEntrypoint:libraryURI:
(BOOL) | - runWithEntrypoint:libraryURI:initialRoute:
(BOOL) | - runWithEntrypoint:libraryURI:initialRoute:entrypointArgs:
(void) | - destroyContext
(void) | - ensureSemanticsEnabled
(flutter::Shell &) | - shell
(flutter::PlatformViewIOS *) | - platformView
(void) | - setBinaryMessenger:
(flutter::IOSRenderingAPI) | - platformViewsRenderingAPI
(void) | - waitForFirstFrame:callback:
(FlutterEngine *) | - spawnWithEntrypoint:libraryURI:initialRoute:entrypointArgs:
(const flutter::ThreadHost &) | - threadHost
(void) | - updateDisplays
(void) | - flutterTextInputView:performAction:withClient:
(void) | - sceneWillEnterForeground:
(void) | - sceneDidEnterBackground:
(void) | - applicationWillEnterForeground:
(void) | - applicationDidEnterBackground:
(NSString *) | - lookupKeyForAsset:
(NSString *) | - lookupKeyForAsset:fromPackage:
Instance Methods inherited from <FlutterPluginRegistry>
(nullable NSObject< FlutterPluginRegistrar > *) | - registrarForPlugin:
(BOOL) | - hasPlugin:
(nullable NSObject *) | - valuePublishedByPlugin:

## Properties
FlutterBasicMessageChannel * | lifecycleChannel
FlutterBasicMessageChannel * | keyEventChannel
FlutterViewController * | viewController
FlutterTextInputPlugin * | textInputPlugin
BOOL | didCallNotifyLowMemory
Properties inherited from FlutterEngine
FlutterViewController * | viewController
FlutterMethodChannel * | localizationChannel
FlutterMethodChannel * | navigationChannel
FlutterMethodChannel * | restorationChannel
FlutterMethodChannel * | platformChannel
FlutterMethodChannel * | textInputChannel
FlutterBasicMessageChannel * | lifecycleChannel
FlutterBasicMessageChannel * | systemChannel
FlutterBasicMessageChannel * | settingsChannel
FlutterBasicMessageChannel * | keyEventChannel
NSURL * | vmServiceUrl
NSObject< FlutterBinaryMessenger > * | binaryMessenger
NSObject< FlutterTextureRegistry > * | textureRegistry
NSString * | isolateId
BOOL | isGpuDisabled
FlutterEngineProcTable & | embedderAPI
BOOL | enableEmbedderAPI
NSMutableDictionary * | pluginPublications
FlutterRestorationPlugin * | restorationPlugin

## Detailed Description

Sometimes we have to use a custom mock to avoid retain cycles in OCMock. Used for testing low memory notification.

Definition at line 37 of file FlutterViewControllerTest.mm.

## Method Documentation

## ◆ sendKeyEvent:callback:userData:

- (void) sendKeyEvent: |  | (const FlutterKeyEvent &) | event
callback: |  | (nullable FlutterKeyEventCallback) | callback
userData: |  | (nullable void *) | userData

## ◆ textInputPlugin

- (FlutterTextInputPlugin*) textInputPlugin |  |  |

## Property Documentation

## ◆ didCallNotifyLowMemory

- (BOOL) didCallNotifyLowMemory
| read write nonatomic assign

Definition at line 43 of file FlutterViewControllerTest.mm.

## ◆ keyEventChannel

- (FlutterBasicMessageChannel*) keyEventChannel
| read write nonatomic strong

Definition at line 40 of file FlutterViewControllerTest.mm.

## ◆ lifecycleChannel

- (FlutterBasicMessageChannel*) lifecycleChannel
| read write nonatomic strong

Definition at line 39 of file FlutterViewControllerTest.mm.

## ◆ textInputPlugin

- (FlutterTextInputPlugin*) textInputPlugin
| read write nonatomic strong

Definition at line 42 of file FlutterViewControllerTest.mm.

## ◆ viewController

- (FlutterViewController*) viewController
| read write nonatomic weak

Definition at line 41 of file FlutterViewControllerTest.mm.

The documentation for this class was generated from the following file:

- shell/platform/darwin/ios/framework/Source/FlutterViewControllerTest.mm